Page MenuHomePhabricator

Use the correct Pashto Wikipedia wordmark on mobile site
Closed, ResolvedPublic1 Story Points

Description

Hei,

The current logo shown on the Pashto Wikipedia mobile site is the default English one. Please use the one attached which is the same typeface used in the Pashto Wikipedia globe logo. The dimensions should be 26px x 66px.

Project: ps.wikipedia.org

Wordmark

Deploy config change for new logo:
Config variable: wgMinervaCustomLogos
Height:26
Width:66
Make sure the SVG is compressed before adding it to the repo (For those familiar with Node.js you can use svgo)

Details

Related Gerrit Patches:
operations/mediawiki-config : masterUpdate the ps mobile wordmark
operations/mediawiki-config : masterUse the correct Pashto Wikipedia wordmark on mobile site

Event Timeline

Af420 created this task.Jan 8 2018, 3:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 8 2018, 3:33 PM
Aklapper changed the task status from Open to Stalled.Jan 8 2018, 5:35 PM

Please use the one attached

There is no attached one.

Af420 added a comment.Jan 8 2018, 7:30 PM
This comment was removed by Af420.
Af420 added a comment.Jan 9 2018, 4:49 PM

Please use the one attached

There is no attached one.

What we need to add anything else? Aklapper:)

In T184442#3886988, @Baloch007 wrote:

What we need to add anything else? Aklapper:)

The logo called "Wikipedia wordmark-ps.svg". You wrote "Please use the one attached" but there is not one attached.
(Also, please shorten full quotes of previous comments when not needed - thanks!)

Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.
Nirzar changed the task status from Stalled to Open.Jan 9 2018, 7:44 PM
Nirzar claimed this task.
Nirzar updated the task description. (Show Details)
ovasileva triaged this task as Normal priority.Jan 10 2018, 12:27 AM
Nirzar removed Nirzar as the assignee of this task.Jan 10 2018, 11:01 PM
Nirzar updated the task description. (Show Details)
Nirzar moved this task from Incoming to Upcoming on the Readers-Web-Backlog board.
Nirzar added subscribers: ovasileva, Jdlrobson.
Nirzar added a subscriber: Nirzar.

over to you @Jdlrobson

cc @ovasileva for upcoming

@Baloch007 can you verify if the logo is correct in the SVG?

Af420 added a comment.EditedJan 11 2018, 2:44 PM

@Baloch007 can you verify if the logo is correct in the SVG?

Yes it's correct svg.

Jdlrobson updated the task description. (Show Details)
Jdlrobson set the point value for this task to 1.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJan 11 2018, 5:50 PM
Jdlrobson moved this task from Triaged to MinervaNeue on the Mobile board.Jan 11 2018, 11:59 PM
Af420 added a comment.Jan 16 2018, 2:01 PM

Can anyone tell me what happens now, and how long would it take? :)

@Baloch007 it depends. Someone can arrange a deployment here at any time: https://wikitech.wikimedia.org/wiki/Deployments - anyone can do that if they are willing to write patch and test it during the deploy window.

Otherwise, it will go out next time the reading web team need to have to do some deploys :)

Niedzielski updated the task description. (Show Details)Jan 17 2018, 2:43 PM
Niedzielski added a subscriber: Niedzielski.

I've updated the dimensions to be consistent with what's described in the config change.

Change 404828 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Use the correct Pashto Wikipedia wordmark on mobile site

https://gerrit.wikimedia.org/r/404828

Change 404828 merged by jenkins-bot:
[operations/mediawiki-config@master] Use the correct Pashto Wikipedia wordmark on mobile site

https://gerrit.wikimedia.org/r/404828

We are live. Nirzar can you sign off.

Looks good to me! thanks @Jdlrobson

Actually, I'm gonna ask the author to take a look before I close this.

@Baloch007 does the wordmark read well and has the correct typeface?

Af420 added a comment.Jan 18 2018, 1:06 PM

Hello I would like to say that should look like

, but right now it looks like this
. Please do something and its the link for logo : https://commons.wikimedia.org/wiki/File%3AWikipedia_wordmark-ps.svg :))

Af420 added a comment.EditedJan 18 2018, 1:12 PM

Looks good to me! thanks @Jdlrobson
Actually, I'm gonna ask the author to take a look before I close this.
@Baloch007 does the wordmark read well and has the correct typeface?

@Nirzar there is a problem with script, i have made new comment over this please take a look on it:)

@Baloch007 I think the script problem is imp and we should fix it... but we have limitation on the size
I thought we had reviewed the earlier SVG before we deployed. let me update it in description

@Baloch007 can you verify this SVG to make sure there aren't any script issues?

@Baloch007 can you verify this SVG to make sure there aren't any script issues?

@Nirzar this is right SVG, maybe there is a problem with System? :)

D3r1ck01 moved this task from Backlog to Doing on the good first bug board.Jan 26 2018, 4:21 PM

No SWAts until the week of the 5th February.
@Nirzar do you know what's going on with the SVG?

@Baloch007 this is the SVG that is deployed to production: https://en.m.wikipedia.org/static/images/mobile/copyright/wikipedia-wordmark-ps.svg
Is this correct?

Af420 added a comment.Feb 1 2018, 3:53 PM

@Jdlrobson yes but why it shows different script, if you look to logo before set up so it looks different:)

Maybe something went wrong with compression, let's try again with https://phabricator.wikimedia.org/T184442#3913750

Change 408348 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Update the ps mobile wordmark

https://gerrit.wikimedia.org/r/408348

So I'm struggling to follow this conversation as I don't understand the Pashto language

I have one simple question:
Is this logo: https://en.m.wikipedia.org/static/images/mobile/copyright/wikipedia-wordmark-ps.svg
Different from this logo?:


If so, which is the correct one?

@Jdlrobson
They are definitely different, as far as I know the attachment in your comment is the correct one based on author's comment [1]

[1]https://phabricator.wikimedia.org/T184442#3913959

Change 408348 merged by jenkins-bot:
[operations/mediawiki-config@master] Update the ps mobile wordmark

https://gerrit.wikimedia.org/r/408348

https://gerrit.wikimedia.org/r/408348 uses the second logo so I have SWAT this
What I'm seeing:

Mentioned in SAL (#wikimedia-operations) [2018-02-06T00:25:23Z] <thcipriani@tin> Synchronized static/images/mobile/copyright/wikipedia-wordmark-ps.svg: SWAT: [[gerrit:408348|Update the ps mobile wordmark]] T184442 (duration: 00m 55s)

@Baloch007 does the logo look good to you?

Nirzar closed this task as Resolved.Feb 7 2018, 6:20 PM

@Baloch007 I laid the production logo with the mockup you provided and it matches

closing this task, please review at your convenience. thank you!

238482n375 removed Nirzar as the assignee of this task.Jun 15 2018, 8:02 AM
238482n375 lowered the priority of this task from Normal to Lowest.
238482n375 moved this task from Next Up to In Code Review on the Analytics-Kanban board.
238482n375 edited subscribers, added: 238482n375; removed: Aklapper.

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

238482n375 set Security to Software security bug.Jun 15 2018, 8:06 AM
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".

SG9tZVBoYWJyaWNhdG9yCk5vIG1lc3NhZ2VzLiBObyBub3RpZmljYXRpb25zLgoKICAgIFNlYXJjaAoKQ3JlYXRlIFRhc2sKTWFuaXBoZXN0ClQxOTcyODEKRml4IGZhaWxpbmcgd2VicmVxdWVzdCBob3VycyAodXBsb2FkIGFuZCB0ZXh0IDIwMTgtMDYtMTQtMTEpCk9wZW4sIE5lZWRzIFRyaWFnZVB1YmxpYwoKICAgIEVkaXQgVGFzawogICAgRWRpdCBSZWxhdGVkIFRhc2tzLi4uCiAgICBFZGl0IFJlbGF0ZWQgT2JqZWN0cy4uLgogICAgUHJvdGVjdCBhcyBzZWN1cml0eSBpc3N1ZQoKICAgIE11dGUgTm90aWZpY2F0aW9ucwogICAgQXdhcmQgVG9rZW4KICAgIEZsYWcgRm9yIExhdGVyCgpFVzZSC3IERpc2NsYWltZXIgtyBDQy1CWS1TQSC3IEdQTApZb3VyIGJyb3dzZXIgdGltZXpvbmUgc2V0dGluZyBkaWZmZXJzIGZyb20gdGhlIHRpbWV6b25lIHNldHRpbmcgaW4geW91ciBwcm9maWxlLCBjbGljayB0byByZWNvbmNpbGUu

Restricted Application added a project: Security. · View Herald TranscriptJun 15 2018, 2:05 PM
Aklapper changed the visibility from "Custom Policy" to "Public (No Login Required)".